org.apache.felix.scrplugin

## Class SCRDescriptorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.felix.scrplugin.SCRDescriptorException

All Implemented Interfaces:
  Serializable

    public class SCRDescriptorException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SCRDescriptorException(String message, String sourceLocation)`
`SCRDescriptorException(String message, String sourceLocation, Throwable cause)`
`SCRDescriptorException(String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSourceLocation()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SCRDescriptorException

    public SCRDescriptorException(String message,
                                  String sourceLocation)

#### SCRDescriptorException

    public SCRDescriptorException(String message,
                                  Throwable cause)

#### SCRDescriptorException

    public SCRDescriptorException(String message,
                                  String sourceLocation,
                                  Throwable cause)

### Method Detail

#### getSourceLocation

    public String getSourceLocation()